# Method: projects.locations.azureClients.delete

- [HTTP request](https://docs.cloud.google.com/kubernetes-engine/multi-cloud/docs/reference/rest/v1/projects.locations.azureClients/delete#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/kubernetes-engine/multi-cloud/docs/reference/rest/v1/projects.locations.azureClients/delete#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/kubernetes-engine/multi-cloud/docs/reference/rest/v1/projects.locations.azureClients/delete#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/kubernetes-engine/multi-cloud/docs/reference/rest/v1/projects.locations.azureClients/delete#body.request_body)
- [Response body](https://docs.cloud.google.com/kubernetes-engine/multi-cloud/docs/reference/rest/v1/projects.locations.azureClients/delete#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/kubernetes-engine/multi-cloud/docs/reference/rest/v1/projects.locations.azureClients/delete#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/kubernetes-engine/multi-cloud/docs/reference/rest/v1/projects.locations.azureClients/delete#body.aspect_1)

> [!WARNING]
> GKE-on-Azure is deprecated. See <https://cloud.google.com/kubernetes-engine/multi-cloud/docs/azure/deprecations/deprecation-announcement> for more details.

Deletes a specific `https://docs.cloud.google.com/kubernetes-engine/multi-cloud/docs/reference/rest/v1/projects.locations.azureClients#AzureClient` resource.

If the client is used by one or more clusters, deletion will fail and a `FAILED_PRECONDITION` error will be returned.

If successful, the response contains a newly created `https://docs.cloud.google.com/kubernetes-engine/multi-cloud/docs/reference/rest/v1/projects.locations.operations#Operation` resource that can be described to track the status of the operation.

### HTTP request

`DELETE https://{endpoint}/v1/{name=projects/*/locations/*/azureClients/*}`

Where `{endpoint}` is one of the [supported service endpoints](https://docs.cloud.google.com/kubernetes-engine/multi-cloud/docs/reference/rest#rest_endpoints).

The URLs use [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Required. The resource name the `https://docs.cloud.google.com/kubernetes-engine/multi-cloud/docs/reference/rest/v1/projects.locations.azureClients#AzureClient` to delete. `https://docs.cloud.google.com/kubernetes-engine/multi-cloud/docs/reference/rest/v1/projects.locations.azureClients#AzureClient` names are formatted as `projects/<project-id>/locations/<region>/azureClients/<client-id>`. See [Resource Names](https://cloud.google.com/apis/design/resource_names) for more details on Google Cloud resource names. |

### Query parameters

| Parameters ||
|---|---|
| `allowMissing` | `boolean` If set to true, and the `https://docs.cloud.google.com/kubernetes-engine/multi-cloud/docs/reference/rest/v1/projects.locations.azureClients#AzureClient` resource is not found, the request will succeed but no action will be taken on the server and a completed `https://docs.cloud.google.com/kubernetes-engine/multi-cloud/docs/reference/rest/v1/projects.locations.operations#Operation` will be returned. Useful for idempotent deletion. |
| `validateOnly` | `boolean` If set, only validate the request, but do not actually delete the resource. |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains an instance of `https://docs.cloud.google.com/kubernetes-engine/multi-cloud/docs/reference/rest/v1/projects.locations.operations#Operation`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `name` resource:

- `gkemulticloud.azureClients.delete`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).